[android-components](../../index.md) / [mozilla.components.concept.engine](../index.md) / [UnsupportedSettingException](./index.md)

# UnsupportedSettingException

`class UnsupportedSettingException : `[`RuntimeException`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-runtime-exception/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/Settings.kt#L223)

Exception thrown by default if a setting is not supported by an engine or session.

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `UnsupportedSettingException(message: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)` = "Setting not supported by this engine")`<br>Exception thrown by default if a setting is not supported by an engine or session. |
